지정된 프로젝트 제한을 설정합니다.
참고: 다음 구성 제한 사항을 늘리면 MongoDB Cloud UI의 응답 시간이 느려지거나 사용자 관리 오버헤드가 증가하여 인증 또는 권한 부여 아키텍처가 재설계될 수 있습니다. 가능하면 프로젝트를 추가로 생성해 더 많은 리소스에 액세스하여 더 지속 가능한 성장 패턴을 만드는 것이 좋습니다.
- 프로젝트 소유자
경로 매개변수
-
이 프로젝트 제한을 식별하는 사람이 읽을 수 있는 레이블입니다.
제한 이름 설명 기본값 API 재정의 제한 atlas.project.deployment.clusters이 프로젝트의 cluster 수 제한 25 100 atlas.project.deployment.nodesPerPrivateLinkRegion이 프로젝트의 리전당 AWS PrivateLink 주소 지정 가능 대상 노드에 대한 제한이 있습니다. 최적화된(부하 밸런싱된) 연결 문자열을 사용하는 샤딩된 클러스터의 경우 currentUsage는mongos의 수에 따라 증가하지 않습니다. 로드 밸런서는 뒤에 있는mongos의 수에 관계없이 단일 주소 지정 가능 대상으로 간주됩니다.50 90 atlas.project.security.databaseAccess.customRoles이 프로젝트의 사용자 지정 역할 수 제한 100 1400 atlas.project.security.databaseAccess.users이 프로젝트의 데이터베이스 사용자 수 제한 100 100 atlas.project.security.networkAccess.crossRegionEntries이 프로젝트의 리전 간 네트워크 액세스 항목 수 제한 40 220 atlas.project.security.networkAccess.entries이 프로젝트의 네트워크 액세스 항목 수 제한 200 20 dataFederation.bytesProcessed.query단일 Data Federation 쿼리 중 처리되는 바이트 수 제한 N/A N/A dataFederation.bytesProcessed.daily현재 날짜의 모든 Data Federation 테넌트에서 처리되는 바이트 수 제한 N/A N/A dataFederation.bytesProcessed.weekly이번 주의 모든 Data Federation 테넌트에서 처리되는 바이트 수 제한 N/A N/A dataFederation.bytesProcessed.monthly이번 달의 모든 Data Federation 테넌트에서 처리되는 바이트 수 제한 N/A N/A atlas.project.deployment.privateServiceConnectionsPerRegionGroup리전 그룹당 비공개 서비스 연결 수 50 100 atlas.project.deployment.privateServiceConnectionsSubnetMaskGCP PSC 네트워크용 서브넷 마스크입니다. 하한은 20입니다. 27 27 값은
atlas.project.security.databaseAccess.users,atlas.project.deployment.clusters,atlas.project.deployment.serverlessMTMs,atlas.project.security.databaseAccess.customRoles,atlas.project.security.networkAccess.entries,atlas.project.security.networkAccess.crossRegionEntries,atlas.project.deployment.nodesPerPrivateLinkRegion,dataFederation.bytesProcessed.query,dataFederation.bytesProcessed.daily,dataFederation.bytesProcessed.weekly,dataFederation.bytesProcessed.monthly,atlas.project.deployment.privateServiceConnectionsPerRegionGroup, 또는atlas.project.deployment.privateServiceConnectionsSubnetMask. -
프로젝트 식별하는 고유한 24-16진수 문자열입니다. 인증된 사용자가 액세스 할 수 있는 모든 프로젝트를 조회 하려면 /groups 엔드포인트를 사용합니다.
참고: 그룹과 프로젝트는 동의어입니다. 그룹 ID는 프로젝트 ID와 동일합니다. 기존 그룹의 경우, 그룹/프로젝트 ID는 동일하게 유지됩니다. 리소스 및 해당 엔드포인트는 그룹이라는 용어를 사용합니다.
형식은
^([a-f0-9]{24})$패턴 과 일치해야 합니다.
쿼리 매개변수
-
애플리케이션이 응답을
envelopeJSON 객체로 래핑할지 여부를 나타내는 플래그입니다. 일부 API 클라이언트는 HTTP 응답 헤더 또는 상태 코드에 액세스할 수 없습니다. 이 문제를 해결하려면 쿼리에서 envelope=true를 설정합니다. 결과 목록을 반환하는 엔드포인트는 결과 객체를 엔벨로프로 사용합니다. 애플리케이션은 응답 본문에 상태 매개변수를 추가합니다.기본값은
false입니다. -
응답 본문이 프리티프린트 형식이어야 하는지 여부를 나타내는 플래그입니다.
기본값은
false입니다.Prettyprint
body
객체
필수 사항
업데이트를 제한합니다.
응답
-
확인
다음 중 하나입니다. Atlas. 프로젝트. 배포서버.clusters객체 Atlas. 프로젝트. 배포서버.nodesPerPrivateLinkRegion객체 Atlas. 프로젝트. 배포서버.serverlessMTMs객체 Atlas. 프로젝트.security.databaseAccess.customRoles객체 Atlas. 프로젝트.security.databaseAccess.users객체 Atlas. 프로젝트.security.networkAccess.crossRegionEntries객체 Atlas. 프로젝트.security.networkAccess.entries객체 -
잘못된 요청입니다.
-
승인되지 않았습니다.
-
Forbidden.
-
찾을 수 없습니다.
-
Conflict.
-
내부 서버 오류입니다.
curl \
--request PATCH 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/limits/{limitName}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"value":42,"name":"atlas.project.deployment.clusters"}'
{
"value": 42,
"name": "atlas.project.deployment.clusters"
}
{
"value": 42,
"name": "atlas.project.deployment.nodesPerPrivateLinkRegion"
}
{
"value": 42,
"name": "atlas.project.deployment.serverlessMTMs"
}
{
"value": 42,
"name": "atlas.project.security.databaseAccess.customRoles"
}
{
"value": 42,
"name": "atlas.project.security.databaseAccess.users"
}
{
"value": 42,
"name": "atlas.project.security.networkAccess.crossRegionEntries"
}
{
"value": 42,
"name": "atlas.project.security.networkAccess.entries"
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.deployment.clusters",
"value": 42
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.deployment.nodesPerPrivateLinkRegion",
"value": 42
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.deployment.serverlessMTMs",
"value": 42
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.security.databaseAccess.customRoles",
"value": 42
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.security.databaseAccess.users",
"value": 42
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.security.networkAccess.crossRegionEntries",
"value": 42
}
{
"currentUsage": 42,
"defaultLimit": 42,
"maximumLimit": 42,
"name": "atlas.project.security.networkAccess.entries",
"value": 42
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot delete organization link while there is active migration in following project ids: 60c4fd418ebe251047c50554",
"error": 409,
"errorCode": "CANNOT_DELETE_ORG_ACTIVE_LIVE_MIGRATION_ATLAS_ORG_LINK",
"reason": "Conflict"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}